Part RegularPolygon/it: Difference between revisions

From FreeCAD Documentation
(Created page with "== Proprietà ==")
(Created page with "Vedere anche: Editor delle proprietà.")
Line 41: Line 41:
== Proprietà ==
== Proprietà ==


See also: [[Property_editor|Property editor]].
Vedere anche: [[Property_editor/it|Editor delle proprietà]].


A Part RegularPolygon object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
A Part RegularPolygon object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

Revision as of 16:28, 7 January 2024

Part Poligono regolare

Posizione nel menu
Parte → Crea primitive → Poligono regolare
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
0.14
Vedere anche
Part Primitive

Descrizione

Un Part Poligono regolare è una forma parametrica che può essere creata con il comando Part Primitive. Nel sistema di coordinate definito dalla sua proprietà DatiPlacement, il poligono giace sul piano XY con il centro nell'origine e uno dei vertici sull'asse X.

Utilizzo

Vedere Part Primitive.

Esempio

Part Poligono regolare dall'esempio di scripting

Qui viene mostrato un oggetto Part Poligono regolare creato con l'esempio di scripting riportato di seguito.

Proprietà

Vedere anche: Editor delle proprietà.

A Part RegularPolygon object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Regular Polygon

  • DatiPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • DatiCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part RegularPolygon can be created with the addObject() method of the document:

poly = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myPolygon")
  • Where "myPolygon" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

poly = doc.addObject("Part::RegularPolygon", "myPolygon")
poly.Polygon = 5
poly.Circumradius = 8
poly.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 30, 15))

doc.recompute()